<!-- <ion-header>
    <div id="btnMenu">
        <div class="title">
            Choose document to verify
        </div>
    </div>
</ion-header> -->

<app-common-header name="Choose document to verify" btnBackLink="" forwardText="ion-folder" btnForwardLink="" (forwardFunction)="browseFile()">
</app-common-header>
<input type="file" id="browseVerify" class="browse" (change)="onFile($event.target.files)">

<ion-content id="list" *ngIf="!isSelected">
    <ion-refresher slot="fixed" (ionRefresh)="doRefresh($event)">
        <ion-refresher-content></ion-refresher-content>
    </ion-refresher>

    <ion-list lines="full">
        <ion-list-header>
            <ion-label>Files</ion-label>
        </ion-list-header>

        <ion-item *ngFor="let doc of documentClassification.needVerify; let i = index;" button
            (click)="onDocument(i, flag.NEEDSIGN)" detail="false">
            <img src="assets/icon-pdf.png" />
            <ion-label>
                <h3>{{doc.name}}</h3>
                <p>{{dateToShortString(doc.uploadDate)}}</p>
            </ion-label>
            <!-- <div class="unconfirmDiv">
                <p [style.color]="(doc.isSigned)? '#10dc60':'#f04141'">
                    {{doc.cosignatures.length + 1}}/{{doc.cosigners.length + 1}}</p>
            </div> -->
        </ion-item>

        <ion-item *ngFor="let doc of documentClassification.verifying; let i = index;" button
            (click)="onDocument(i, flag.WAITING)" detail="false">
            <img src="assets/icon-pdf.png" />
            <ion-label>
                <h3>{{doc.name}}</h3>
                <p>{{dateToShortString(doc.uploadDate)}}</p>
            </ion-label>
            <!-- <div class="unconfirmDiv">
                <p [style.color]="(doc.isSigned)? '#10dc60':'#f04141'">
                    {{doc.cosignatures.length + 1}}/{{doc.cosigners.length + 1}}</p>
            </div> -->
        </ion-item>

        <ion-item *ngFor="let doc of documentClassification.verified.slice(0, 10); let i = index" button
            (click)="onDocument(i, flag.COMPLETED)" detail="false">
            <img src="assets/icon-pdf.png" />
            <ion-label>
                <h3>{{doc.name}}</h3>
                <p>{{dateToShortString(doc.uploadDate)}}</p>
            </ion-label>
            <div class="confirmDiv">
                <p class="status" *ngIf="doc.isSigned" style="color: #000">Verified</p>
                <p class="time">{{nowFromDate(doc.signDate)}}</p>
            </div>
        </ion-item>
    </ion-list>

</ion-content>

<ion-content id="selected" *ngIf="isSelected">
    <ion-list lines="full">
        <ion-list-header>
            <ion-label>File</ion-label>
        </ion-list-header>

        <ion-item>
            <img src="assets/icon-pdf.png" />
            <ion-label>
                <h3>{{verify.document.file.name}}</h3>
            </ion-label>
            <div>
                <ion-button (click)="onView()">View</ion-button>
            </div>
        </ion-item>
        <ion-item>
            <ion-grid>
                <ion-row>
                    <p style="color:#989aa2">Transaction Hash</p>
                </ion-row>
                <ion-row>
                    <p>{{(verify.document.signTxHash == '')?'Can\'t detect transaction from file name':verify.document.signTxHash}}
                    </p>
                </ion-row>
            </ion-grid>
        </ion-item>
    </ion-list>

    <div>
        <div class="btnMain" tappable (click)="onCancel()">
            Cancel
        </div>
        <div *ngIf="(verify.document.signTxHash != '')" class="btnMain" id="btnNext" (click)="goProgress()" tappable>
            Next &nbsp;<ion-icon name="arrow-dropright"></ion-icon>
        </div>
        <div *ngIf="(verify.document.signTxHash == '')" class="btnMain" (click)="onAddHash()" tappable>
            Add Hash
        </div>
        <input *ngIf="!onChooser" type="file" id="browseVerify" class="browse" (change)="onFile($event.target.files)">
    </div>
</ion-content>

<div class="loading" *ngIf="isFileLoading">
    <ion-spinner></ion-spinner>
</div>